/*
 *  ------Waspmote Bluetooth discovering a device Example--------
 *
 *  Explanation: This example shows how to discover a specific device
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:		0.1
 *  Design:	        David Gascón
 *  Implementation:	Alberto Bielsa
 */

int n=0;

void setup(){
  // setup for Serial port over USB
  USB.begin();
  USB.println("USB port started...");
  USB.close();
  
  // Powering BT
  BT.ON();
  
  if( BT.flag & BT_ERROR_ON ) USB.println("Error, 'ROK' not received");
  else USB.println("BT module ready...");
  
  // Init
  if(!BT.init()) USB.println("Init OK");
}

void loop(){
  
  // Searching for devices
  if(!BT.scanNetwork()) USB.println("Scan OK");
  else USB.println("Scan failed");
  
  // Printing the devices that have been found
  for(int l=0;l<BT.devices_found;l++)
  {
    n=0;
    USB.print("---- DEVICE ");
    USB.print(l,DEC);
    USB.print(" ----  ");
    USB.print("MAC: ");
    for(int m=0;m<12;m++)
    {
      USB.print(BT.discovered_devices[l].mac_address[m],BYTE);
    }
    USB.print(" -- NAME: ");
    while(BT.discovered_devices[l].name[n]!='\0')
    {
      USB.print(BT.discovered_devices[l].name[n],BYTE);
      n++;
    }
    n=0;
    USB.print(" -- CoD: ");
    while(BT.discovered_devices[l].CoD[n]!='\0')
    {
      USB.print(BT.discovered_devices[l].CoD[n],BYTE);
      n++;
    }
    USB.println("");
  }
  
  // If devices have been found, send a specific discovery request to a device
  if(BT.devices_found>0){
    if(!BT.discoverDevice(BT.discovered_devices[0].mac_address,"1101")){
      USB.println("");
      USB.print("--- DEVICE --- Name: ");
      n=0;
      while(BT.device_service_name[n]!='\0')
      {
        USB.print(BT.device_service_name[n],BYTE);
        n++;
      }
      USB.print(" --- Channel: ");
      USB.print(BT.device_service_channel[0],BYTE);
      USB.println(BT.device_service_channel[1],BYTE);
    }
    else USB.println("Search Device Failed");
  }
  else USB.println("No devices found");

  delay(5000);
}

