/*
 *  ------ Waspmote Expansion Board XBee DM Example ------
 *
 *  Explanation: This example shows how to send packets
 *  using two XBee-DigiMesh modules plugged in both regular and
 *  Expansion Board connectors
 *
 *  This code sends a packet in BROADCAST using the Expansion Board 
 *  and the UART1.
 *
 *  Copyright (C) 2011 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:           0.1
 *  Design:            David Gascón
 *  Implementation:    Yuri Carmona
 */

packetXBee* paq_sent;
packetXBee* paq_sent1;
char*  data="Test message UART0\n";
char*  data1="Test message UART1\n";

// Define a new object for XBee-DM in Expansion Board
WaspXBeeDM	xbeeDM1 = WaspXBeeDM();

void setup()
{
  // Init USB port
  USB.begin();  
  
  // Inits the XBee DigiMesh library in UART0
  xbeeDM.init(DIGIMESH,FREQ2_4G,NORMAL,UART0);
  // Powers XBee
  xbeeDM.ON();
   
  
  // Inits the XBee DigiMesh library in UART1
  xbeeDM1.init(DIGIMESH,FREQ2_4G,NORMAL,UART1);
  // Powers XBee
  xbeeDM1.ON();
  
 
}

void loop()
{
  /********* UART0 ************/
  // Set parameters to send 
  paq_sent=(packetXBee*) calloc(1,sizeof(packetXBee)); 
  paq_sent->mode=BROADCAST;  
  paq_sent->packetID=0x52;
  paq_sent->opt=0;  
  xbeeDM.setOriginParams(paq_sent, "5678", MY_TYPE);
  xbeeDM.setDestinationParams(paq_sent, "000000000000FFFF", data, MAC_TYPE, DATA_ABSOLUTE);
 
  // Send XBee packet UART0
  xbeeDM.sendXBee(paq_sent);
  if( !xbeeDM.error_TX ) USB.println("XBeeDM: packet sent ok");
  else USB.println("XBeeDM: error sending packet");
  
  
  /********* UART1 ************/  
  // Set parameters to send UART1
  paq_sent1=(packetXBee*) calloc(1,sizeof(packetXBee)); 
  paq_sent1->mode=BROADCAST;  
  paq_sent1->packetID=0x52;
  paq_sent1->opt=0;  
  xbeeDM1.setOriginParams(paq_sent1, "5678", MY_TYPE);
  xbeeDM1.setDestinationParams(paq_sent1, "000000000000FFFF", data1, MAC_TYPE, DATA_ABSOLUTE);
 
  // Send XBee packet UART1
  xbeeDM1.sendXBee(paq_sent1);
  if( !xbeeDM1.error_TX ) USB.println("XBeeDM1: packet sent ok");
  else USB.println("XBeeDM1: error sending packet");
    
    
  // Free dynamic memory
  free(paq_sent);
  paq_sent=NULL;  
  
  free(paq_sent1);
  paq_sent1=NULL;  

  delay(5000);
}



