/*
 *  ------Waspmote Bluetooth Scanning Devices Example--------
 *
 *  Explanation: This example shows how to scan devices using the 
 *  Expansion Board (UART1)
 *
 *  Copyright (C) 2011 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:		0.1
 *  Design:	        David Gascón
 *  Implementation:	Yuri Carmona
 */

int n=0;

void setup()
{

  // Setup for Serial port over USB
  USB.begin();

  // Powering BT thorugh UART1
  BT.ON(UART1);

  if( BT.flag & BT_ERROR_ON ) USB.println("Error, 'ROK' not received");
  else USB.println("BT module ready...");

  // Init
  if(!BT.init()) USB.println("Init OK");
}

void loop(){

  // Searching for devices
  USB.println("Start scanning");
  if(!BT.scanNetwork()) USB.println("Scan OK");
  else USB.println("Scan failed");

  // Printing the devices that have been found
  for(int l=0;l<BT.devices_found;l++)
  {
    n=0;
    USB.print("---- DEVICE ");
    USB.print(l,DEC);
    USB.print(" ----  ");
    USB.print("MAC: ");
    for(int m=0;m<12;m++)
    {
      USB.print(BT.discovered_devices[l].mac_address[m],BYTE);
    }
    USB.print(" -- NAME: ");
    while(BT.discovered_devices[l].name[n]!='\0')
    {
      USB.print(BT.discovered_devices[l].name[n],BYTE);
      n++;
    }
    n=0;
    USB.print(" -- CoD: ");
    while(BT.discovered_devices[l].CoD[n]!='\0')
    {
      USB.print(BT.discovered_devices[l].CoD[n],BYTE);
      n++;
    }
    USB.println("");
  }

  delay(5000);
}


