/*
 *  ------Waspmote GPRS Sending & Receiving Emails Example--------
 *
 *  Explanation: This example shows how to send and receive emails
 *
 * Note: The input parameters for the functions 'sendEmail' and 'readEmail' 
 * should be filled properly with your correct accounts and servers 
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:     Alberto Bielsa
 */

uint8_t mode=0;
char bytes;
uint8_t* data;
uint8_t a=0;

void setup()
{ 
  USB.begin();
  USB.println("USB port started...");

  // setup for GPRS serial port
  GPRS.ON();
  USB.println("GPRS module ready...");
  
  Utils.blinkLEDs(1000);
  // waiting while GPRS connects to the network
  while(!GPRS.check());
  USB.println("GPRS connected to the network");
  
  // configure SMS and Incoming Calls
  if(GPRS.setInfoIncomingCall()) USB.println("Info Incoming Call OK");
  if(GPRS.setInfoIncomingSMS()) USB.println("Info Incoming SMS OK");
  if(GPRS.setTextModeSMS()) USB.println("Text Mode SMS OK");
}

void loop()
{
  // Sending EMAIL
  if(GPRS.sendMail("EMAIL_TX","EMAIL_RX","Test Message Subject","Test Message!","LOGIN","PASSWD","SMTP_SERVER",PORT)) USB.println("Email sent");
  else USB.println("Email failed");
  
  
  a=0;
  // Reading EMAIL
  GPRS.readMail("LOGIN","PASSWD","POP3_SERVER",PORT);
    while( GPRS.emailAddress[a]!='\0' ){
      USB.print(GPRS.emailAddress[a],BYTE);
      a++;
      if(a>=31) break;
    }
    USB.println("");
    a=0;
    
    while( GPRS.subject[a]!='\0' ){
      USB.print(GPRS.subject[a],BYTE);
      a++;
      if(a>=31) break;      
    }
    USB.println("");
    a=0;
    
    while( GPRS.body[a]!='\0' ){
      USB.print(GPRS.body[a],BYTE);
      a++;
      if(a>=101) break;
    }
    USB.println("");
    a=0;
  
  delay(5000);
}


