/*
 *  ------Waspmote GPRS Uploading & Downloading FIles Example--------
 *
 *  Explanation: This example shows how to upload and download files to a FTP
 *  server
 *
 * Note: The input parameters for the functions 'uploadFIle' and 'downloadFile' 
 * should be filled properly with your correct accounts and servers
 *
 * Note2: The SD card should be inserted in the slot. The file to upload should be
 * stored in the SD card
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:     Alberto Bielsa
 */

uint8_t mode=0;
char bytes;
uint8_t* data;

void setup()
{ 
  USB.begin();
  USB.println("USB port started...");

  // setup for GPRS serial port
  GPRS.ON();
  USB.println("GPRS module ready...");
  
  Utils.blinkLEDs(1000);
  // waiting while GPRS connects to the network
  while(!GPRS.check());
  USB.println("GPRS connected to the network");
  
  // configure SMS and Incoming Calls
  if(GPRS.setInfoIncomingCall()) USB.println("Info Incoming Call OK");
  if(GPRS.setInfoIncomingSMS()) USB.println("Info Incoming SMS OK");
  if(GPRS.setTextModeSMS()) USB.println("Text Mode SMS OK");
}

void loop()
{
 
    if( GPRS.uploadFile("acc_file.txt","acc_file.txt","USER","PASSWD","FTP_ADDRESS",PORT)) USB.println("FTP Upload OK");
    else USB.println("FTP Upload failed");
    
    
    if( GPRS.downloadFile("acc_file.txt","prueba/dir1/acc_file.txt","USER","PASSWD","FTP_ADDRESS",PORT)) USB.println("FTP Download OK");
    else USB.println("FTP Download failed");
  
  delay(5000);
}


