/*
 *  ------Waspmote Power Getting Battery Level Example--------
 *
 *  Explanation: This example shows how to get the remaining battery 
 *  level.
 *
 *  Warning: it is recommended to get the remaining battery level without
 *  USB connected to Waspmote, due to when USB is connected and battery
 *  is medium-full charged, the measurement is not valid. Only when battery
 *  is almost dead the measurement will be valid.
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:    Alberto Bielsa
 */
 
 
void setup()
{
  // Init USB
  USB.begin();
}

void loop()
{
  // Show the remaining battery level
  USB.print("Battery Level: ");
  USB.print(PWR.getBatteryLevel(),DEC);
  USB.println(" %");
  
  delay(5000);
}


