/*
 *  ------Waspmote RTC Functions Example--------
 *
 *  Explanation: This example shows how to manage the different functions
 *  developed to use the RTC.
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:    Alberto Bielsa
 */

void setup(){
  
  // Setup for Serial port over USB
  USB.begin();
  USB.println("USB port started...");

  // Powers RTC up, init I2C bus and read initial values
  USB.println("Init RTC");
  RTC.ON();       
}

void loop(){

  // Setting and getting time
  RTC.setTime("09:10:20:03:17:35:00");
  USB.print("Time: ");
  USB.println(RTC.getTime());
  
  RTC.setTime(9,10,20,3,17,35,0);
  USB.print("Time: ");  
  USB.println(RTC.getTime());
  
  // Setting and getting Alarms
  RTC.setAlarm1("20:17:36:00",RTC_ABSOLUTE,RTC_ALM1_MODE2);
  RTC.setAlarm1(0,0,0,10,RTC_OFFSET,RTC_ALM1_MODE2);
  USB.print("Alarm1: ");
  USB.println(RTC.getAlarm1());  
  
  RTC.setAlarm2("20:17:36",RTC_ABSOLUTE,RTC_ALM2_MODE2);
  RTC.setAlarm2(0,0,10,RTC_OFFSET,RTC_ALM2_MODE2);
  USB.print("Alarm2: ");  
  USB.println(RTC.getAlarm2());  
  
  // Getting Temperature
  USB.print("Temperature: ");
  USB.println(RTC.getTemperature(),DEC);
  
  delay(5000);
  
  
}

