/*
 *  ------Waspmote XBee XSC Creating a Network Example------
 *
 *  Explanation: This example shows how to create a Network using Waspmote
 *  XBee XSC API
 *
 *  Note: XBee modules must be configured at 38400bps and with API enabled.
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:    Alberto Bielsa
 */
 
uint8_t  PANID[2]={0x12,0x34};
char*  KEY="WaspmoteKey";
 
void setup()
{
  // Inits the XBee XSC library
  xbeeXSC.init(XBEE_XSC,FREQ900M,NORMAL);
  
  // Powers XBee
  xbeeXSC.ON();
}

void loop()
{
  // Entering in command mode
  xbeeXSC.setCommandMode();
  
  // Set  Destination Address
  if(!xbeeXSC.setDestAddress(0x33,0x32)) XBee.println("Dest Address set OK");
  else XBee.println("Error while setting Dest Address");
  
  // Set  Vendor ID
  if(!xbeeXSC.setVendorID(0x12,0x34)) XBee.println("Vendor ID set OK");
  else XBee.println("Error while setting Vendor ID");
  
  // Setting hopping pattern
  if(!xbeeXSC.setHoppingChannel(0x01)) XBee.println("Hopping Pattern set OK");
  else XBee.println("Error while setting hopping pattern");
  
  // Keep values
  if(!xbeeXSC.writeValues()) XBee.println("Changes stored OK");
  else XBee.println("Error while storing values");  
  
  // Exit command mode
  xbeeXSC.exitCommandMode();

  delay(3000);
}


