/*
 *  ------Waspmote XBee XSC Sending & Receiving Example------
 *
 *  Explanation: This example shows how to send and receive packets
 *  using Waspmote XBee XSC API
 *
 *  This code sends a packet to another node.
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:    Alberto Bielsa
 */
 
 packetXSC* paq_sent; // create packet to send 
 int8_t state=0;
 long previous=0;
 uint8_t it=0;
 
void setup()
{
  // Inits the XBee XSC library
  xbeeXSC.init(XBEE_XSC,FREQ2_4G,NORMAL);
  
  // Powers XBee
  xbeeXSC.ON();
}

void loop()
{
  char*  data="Test message!";  
  paq_sent=(packetXSC*) calloc(1,sizeof(packetXSC));;
  while(*data!='\0')
  {
    paq_sent->data[it]=*data++;
    it++;
  }
  paq_sent->data_length=it;
  it=0;
  state=xbeeXSC.sendData(paq_sent); // Call function responsible to send data
  free(paq_sent);
  paq_sent=NULL;
  
  delay(5000);
}


