/*
 *  ------Waspmote XBee XSC Sending & Receiving Example------
 *
 *  Explanation: This example shows how to send and receive packets
 *  using Waspmote XBee XSC API
 *
 *  This code receives a packet from another node and shows the
 *  received data
 *
 *  This is the code for the receiver.
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:    Alberto Bielsa
 */
 
 packetXSC* paq_recv;
 int8_t state=1;
 long previous=0;
 char*  data="ACK";
 uint8_t it=0;
 
void setup()
{
  // Inits the XBee XSC library
  xbeeXSC.init(XBEE_XSC,FREQ900M,NORMAL);
  
  // Powers XBee
  xbeeXSC.ON();
  
  //XBee.println("Start");
}

void loop()
{ 
  // Waiting the answer
  previous=millis();
  while( (millis()-previous) < 20000 )
  {
    if( XBee.available() )
    {
      paq_recv=(packetXSC*) calloc(1,sizeof(packetXSC)); 
      state=xbeeXSC.readData(paq_recv); // Read a packet when XBee has noticed it to us
      XBee.setMode(XBEE_OFF);
      if(state==0)
      {
          XBee.setMode(XBEE_OFF);
          XBee.begin();
          XBee.print("MAC Source: ");
          XBee.print(paq_recv->sourceMacHigh[0],HEX);
          XBee.print(paq_recv->sourceMacHigh[1],HEX);
          XBee.print(paq_recv->sourceMacLow[0],HEX);
          XBee.println(paq_recv->sourceMacLow[1],HEX);          
          XBee.print("Data: ");
          for(it=0;it<paq_recv->data_length;it++)
          {
            XBee.print(paq_recv->data[it],BYTE);
          }
          XBee.println("");
          XBee.close();
          xbeeXSC.ON();
      }
      free(paq_recv);
      paq_recv=NULL;
      state=1;
      XBee.flush();
    }
  }
}


