/*
 *  ------Waspmote Accelerator Basic Example--------
 *
 *  Explanation: This example shows how to get the acceleration on the
 *  different axis using the most basic functions related with Waspmote 
 *  accelerometer.
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:		0.1
 *  Design:		        David Gascón
 *  Implementation:	David Cuartielles, Alberto Bielsa
 */


void setup()
{
  ACC.ON();
  USB.begin(); // starts using the serial port
}

void loop()
{

  //----------Check Register-----------------------
  // should always answer 0x3A, it is used to check
  // the proper functionality of the accelerometer
  byte check = ACC.check();

  //----------X Values-----------------------
  int x_acc = ACC.getX();

  //----------Y Values-----------------------
  int y_acc = ACC.getY();

  //----------Z Values-----------------------
  int z_acc = ACC.getZ();

  //-------------------------------

  USB.print("\n------------------------------\nCheck: 0x"); 
  USB.println(check, HEX);
  USB.println("\n \t0X\t0Y\t0Z"); 
  USB.print(" ACC\t"); 
  USB.print(x_acc, DEC);
  USB.print("\t"); 
  USB.print(y_acc, DEC);
  USB.print("\t"); 
  USB.println(z_acc, DEC);

  delay(5000);
  
}



