/*
 *  ------Waspmote Bluetooth Enabling Security Mode Example--------
 *
 *  Explanation: This example shows how to enable security adn get our own MAC
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:		0.1
 *  Design:	        David Gascón
 *  Implementation:	Alberto Bielsa
 */

int n=0;

void setup(){
  // setup for Serial port over USB
  USB.begin();
  USB.println("USB port started...");
  USB.close();
  
  // Powering BT
  BT.ON();
  
  if( BT.flag & BT_ERROR_ON ) USB.println("Error, 'ROK' not received");
  else USB.println("BT module ready...");
  
  // Init
  if(!BT.init()) USB.println("Init OK");
}

void loop(){
  
  // Setting security
  if(!BT.setSecurity(BT_SECURITY_3,"1111")) USB.println("Security set OK");
  else USB.println("Error while setting security");

  // Getting our own MAC
  if(!BT.getOwnMac())
  {
    USB.println("");
    USB.print("--- OWN MAC: ");
    for(int o=0;o<12;o++)
    {
      USB.print(BT.own_mac[o],BYTE);
    }
    USB.println(" ---");
  }
  else USB.println("Getting MAC failed");
  
  delay(5000);
}

