/*
 *  ------Waspmote Bluetooth Sending Data Example--------
 *
 *  Explanation: This example shows how to set send data to another device
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:		0.1
 *  Design:	        David Gascón
 *  Implementation:	Alberto Bielsa
 */

int n=0;

void setup(){
  // setup for Serial port over USB
  USB.begin();
  USB.println("USB port started...");
  USB.close();
  
  // Powering BT
  BT.ON();
  
  if( BT.flag & BT_ERROR_ON ) USB.println("Error, 'ROK' not received");
  else USB.println("BT module ready...");
  
  // Init
  if(!BT.init()) USB.println("Init OK");
}

void loop(){

  // Creating a connection to a device
  if(!BT.createConnection("0003190D1D72","02"))
  {
    USB.println("");
    USB.print("--- CONNECTION -- MTU: ");
    USB.print(BT.connection_mtu[0],BYTE);
    USB.print(BT.connection_mtu[1],BYTE);
    USB.println(BT.connection_mtu[2],BYTE);    
  }
  else USB.println("Connection failed");
  
  // Sending the data to the opened connection
  if(!BT.sendData("Datos de prueba!")) USB.println("Data sent OK");
  else USB.println("Error while sending data");
  
  // Removing the connection previously opened
  if(!BT.removeConnection()) USB.println("Connection removed");
  else USB.println("Error while removing connection");  
  
  // Removing a trusted device
  if(!BT.removeTrustedDevice("0003190D1064")) USB.println("Trusted Device removed");
  else USB.println("Error while removing trusted device");

  delay(5000);
}

