/*
 *  ------Waspmote Bluetooth Scanning Devices Example--------
 *
 *  Explanation: This example shows diferent ways of scanning devices
 *
 *  Copyright (C) 2012 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:		0.4
 *  Design:	        David Gascón
 *  Implementation:	Javier Siscart
 */


char* nodeID="12345678"; // It must have 8 characters "
int a=0;

void setup(){

  // setup for Serial port over USB
  USB.begin();
  USB.println("USB port started...");

  // setup for RTC
  RTC.ON();

  // Insert your local time here.
  RTC.setTime("11:02:06:02:17:00:00");
  USB.println(RTC.getTime());

  // Setup for SD
  USB.println("Starting SD...");
  SD.ON();
  if (SD.isSD()==0) USB.println("Card not present. Please insert Card");

  // setup for Bluetooth module
  BT_Pro.ON();
  BT_Pro.init(nodeID);  // saves nodeID into EEPROM


}

void loop(){

  // Mac for module must be defined as follows
  char mac[18] = "00:1a:16:e8:c2:01";

  // --------------Normal scan-----------------
  USB.println("Scan Network 5sc.");
  a=BT_Pro.scanNetwork(5,TX_POWER_6);
  USB.print("discovered: ");
  USB.println(a);

  // -------------Printing results-------------
  USB.println("Last inquiry:.");
  BT_Pro.printInquiry();

  // Classify discovered devices
  USB.println("Classifying...");
  BT_Pro.classifyDevices();

  // -------------Printing results-------------
  USB.println("Handsfree:");
  BT_Pro.printHandsFree();
  USB.println("Mobile phones:");
  BT_Pro.printMobiles();
  delay(2000);


  // ------------Looking specific device--------
  USB.print("looking for specific device: ");
  USB.println(mac);
  if(BT_Pro.scanDevice(mac, 5, TX_POWER_6)){
    USB.print("Found");
  }
  else USB.println("Not found");
  delay(2000);

  // -----------------Limited scan--------------
  USB.println("Scan till find 2 devices.");
  a=BT_Pro.scanNetworkLimited(2,TX_POWER_6);
  USB.print("discovered: ");
  USB.println(a);
  delay(2000);


}


