/*
 *  ------ Waspmote Expansion Board XBee DM Example ------
 *
 *  Explanation: This example shows how to send and receive packets
 *  using a XBee-DigiMesh plugged in a Expansion Board through the UART1 
 *
 *  This code sends a packet in BROADCAST using the Expansion Board 
 *  and the UART1.
 *
 *  Copyright (C) 2011 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:           0.1
 *  Design:            David Gascón
 *  Implementation:    Yuri Carmona
 */

packetXBee* paq_sent;
char*  data="Test message!";

void setup()
{
  // Init USB port
  USB.begin();  
  
  // Inits the XBee DigiMesh library in UART1
  xbeeDM.init(DIGIMESH,FREQ2_4G,NORMAL,UART1);

  // Powers XBee
  xbeeDM.ON();
 
}

void loop()
{
  // Set parameters to send
  paq_sent=(packetXBee*) calloc(1,sizeof(packetXBee)); 
  paq_sent->mode=BROADCAST;  
  paq_sent->packetID=0x52;
  paq_sent->opt=0;  
  xbeeDM.setOriginParams(paq_sent, "5678", MY_TYPE);
  xbeeDM.setDestinationParams(paq_sent, "000000000000FFFF", data, MAC_TYPE, DATA_ABSOLUTE);
 
  // Send XBee packet
  xbeeDM.sendXBee(paq_sent);
  if( !xbeeDM.error_TX ) USB.println("packet sent ok");
  else USB.println("error sending packet");
  
  free(paq_sent);
  paq_sent=NULL;  

  delay(5000);
}



