/*  
 *  ------ GPRS_22 - Getting IMSI from SIM and IMEI -------- 
 *  
 *  Explanation: This example shows how to get IMSI form SIM card and IMEI 
 *  from GPRS_Pro module
 *  
 *  Copyright (C) 2013 Libelium Comunicaciones Distribuidas S.L. 
 *  http://www.libelium.com 
 *  
 *  This program is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  This program is distributed in the hope that it will be useful, 
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *  GNU General Public License for more details. 
 *  
 *  You should have received a copy of the GNU General Public License 
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
 *  
 *  Version:           0.2 
 *  Design:            David Gascón 
 *  Implementation:    Alejandro Gállego 
 */



int answer;

void setup()
{
    // setup for Serial port over USB:
    USB.begin();
    USB.println(F("USB port started..."));

    // activates the GPRS_Pro module:
    answer = GPRS_Pro.ON(); 
    if ((answer == 1) || (answer == -3))
    {
        USB.println(F("GPRS_pro module ready..."));
             
        // gets IMSI:
        while (GPRS_Pro.getIMSI() != 1);
        USB.print(F("IMSI: "));
        USB.println(GPRS_Pro.buffer_GPRS);
        
        // gets IMEI:
        while (GPRS_Pro.getIMEI() != 1);
        USB.print(F("IMEI: "));
        USB.println(GPRS_Pro.buffer_GPRS);
    
    }
    else
    {
        USB.println(F("GPRS_Pro module not ready"));    
    }
    
    GPRS_Pro.OFF(); 
}
 
void loop()
{
      
}
