/*
 *  ------Waspmote Power Setting Deep Sleep Mode Example--------
 *
 *  Explanation: This example shows how to set Waspmote in a low-power
 *  consumption mode waking up using the RTC
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:    Alberto Bielsa
 */
 
 
void setup()
{
  // Init USB
  USB.begin();
  USB.println("Start Program");
    
}

void loop()
{
  // Init RTC
  RTC.ON();
  RTC.setTime("09:10:21:04:14:25:00");
  
  // Go to sleep disconnecting all the switches and modules
  // After 10 seconds, Waspmote wakes up thanks to the RTC Alarm
  PWR.deepSleep("00:00:00:10",RTC_OFFSET,RTC_ALM1_MODE1,ALL_OFF);
  if( intFlag & RTC_INT )
  {
    Utils.blinkLEDs(1000);
    Utils.blinkLEDs(1000);
    Utils.blinkLEDs(1000);
    intFlag &= ~(RTC_INT);
  }

}

