/*
 *  ------Geiger Tube board (Waspmote Code) Example--------
 *
 *  Explanation: This example shows how to get the signal from the Geiger Tube
 *  in Waspmote, we use the Waspmote interrupt pin.
 * 
 *  Copyright (C) 2012 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version: 	    0.1
 *  Design: 	    David Gascon
 *  Implementation: Marcos Yarza, Javier Siscart
 */

// Global variables
float radiation;

void setup()
{

  // Starting USB
  USB.begin();
  USB.println("Starting Waspmote...");

  // Starting Radiation Board
  SensorRadiation.ON(); 

}

void loop()
{
  
  USB.println("Measuring radiation levels.(Default: 60s)");
  radiation = SensorRadiation.getRadiation();
  USB.print("radiation[uSv/h]: ");
  USB.println(radiation);
  USB.println();
  delay(2000);


  USB.println("Measuring during 25s.");
  radiation = SensorRadiation.getRadiation(25000);
  USB.print("radiation[uSv/h]: ");
  USB.println(radiation);
  USB.println();
  delay(2000);


  USB.println("Measuring during 5s cpm");
  radiation = SensorRadiation.getCPM(5000);
  USB.print("radiation[cpm]: ");
  USB.println(radiation);
  USB.println("---------------------------------");
  delay(2000);
}
