/*
 *  ------Waspmote Utils Using EEPROM Example--------
 *
 *  Explanation: This example shows how to use the EEPROM with Utils
 *  Waspmote API
 *
 *  Copyright (C) 2012 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:           0.2
 *  Design:            David Gascón
 *  Implementation:    Alberto Bielsa, Yuri Carmona
 */
 
 
void setup()
{
  // Init USB
  USB.begin();
}



int a=512; // address in EEPROM
int b=10;  // value to write
int value=0;

void loop()
{
  /* CAUTION: do not write in EEMPROM addresses below 300, 
  you could over-write important configuration*/   
  
  // Writing in the EEPROM  
  Utils.writeEEPROM(a,b);
  
  // Reading the EEPROM
  value=Utils.readEEPROM(a);
  USB.print("Address EEPROM:  ");
  USB.print(a,DEC);
  USB.print(" -- Value: ");
  USB.println(value,DEC);
  
  a++;
  b++;
  if(a==4096) // there are 4 kB available
  {
    a=512;
    USB.println("END");
    delay(10000);    
  }
  delay(10);
}

