/*
 *  ------Waspmote WIFI_01 Example--------
 *
 *  This example shows how to switch on the module in the SOCKET0.
 *  Besides, resetValues function is called in order to reset the 
 *  configuration of the module. 
 *  
 *  Copyright (C) 2013 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.2
 *  Design:                 David Gascón
 *  Implementation:         Joaquin Ruiz
 */


// choose socket (SELECT USER'S SOCKET)
///////////////////////////////////////
uint8_t socket=SOCKET0;
///////////////////////////////////////


void setup()
{     
  
  USB.begin();  
  USB.println("Example WiFi 01");
  
  // 1. Switch ON the WiFi module on the desired socket
  if( WIFI.ON(socket) == 1 )
  {    
    USB.println("WiFi switched ON");
  }
  else
  {
    USB.println("WiFi did not initialize correctly");
  }
  
  // 2. Reset to default values
  USB.println("Resetting to Default values...");
  WIFI.resetValues();
  
  USB.println("setup done");
  
}

void loop()
{
  // Switch ON the WiFi module on the desired socket
  if( WIFI.ON(socket) == 1 )
  {
    USB.println("WiFi switched ON");
  }
  else
  {
    USB.println("WiFi did not initialize correctly");
  }  
   
  
  // Switch OFF the WiFi module
  WIFI.OFF();
  USB.begin();
  USB.println("WiFi OFF");

  // delay
  delay(2000);
}


