/*
 *  ------Waspmote WIFI_03 Example--------
 *
 *  Explanation: This example shows how to get the status of the different
 *  WIFI module features.
 *  Remarks: DEBUG mode must be enabled before compiling this example. Please
 *  check the WaspWIFI.h file and uncomment the "#define DEBUG_WIFI" definition
 *  
 *  Copyright (C) 2013 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.2
 *  Design:                 David Gascón
 *  Implementation:         Joaquin Ruiz
 */


/****************************************
REMEMBER TO UNCOMMENT THE DEFINITON 
OF DEBUG_MODE IN WaspWIFI.h
*****************************************/

// choose socket (SELECT USER'S SOCKET)
///////////////////////////////////////
uint8_t socket=SOCKET1;
///////////////////////////////////////

void setup()
{
  USB.begin();
  USB.println("Example WiFi 03");
  
  // Switch ON the WiFi module on the desired socket
  if( WIFI.ON(socket) == 1 )
  {    
    USB.println("Wifi switched ON");
  }
  else
  {
    USB.println("Wifi did not initialize correctly");
  }

}

void loop()
{
  // Displays Firmware version
  USB.println("\n----------------------");
  USB.println("Firmware Version:");
  USB.println("----------------------");
  WIFI.getVersion();
  
  // Displays connection status.  
  USB.println("\n----------------------");
  USB.println("Connection Info:");
  USB.println("----------------------");
  WIFI.getConnectionInfo();
  
  // Displays Access Point status.
  USB.println("\n----------------------");
  USB.println("AP Status:");
  USB.println("----------------------");
  WIFI.getAPstatus();
  
  // Displays singal strenght information.
  USB.println("\n----------------------");
  USB.println("RSSI:");
  USB.println("----------------------");
  WIFI.getRSSI();
  
  // Displays the statistics of the sent and received packets.
  USB.println("\n----------------------");
  USB.println("Statistics:");
  USB.println("----------------------");
  WIFI.getStats();
  
  // Diplays the seconds since last powerup or reboot.
  USB.println("\n----------------------");
  USB.println("Up Time:");
  USB.println("----------------------");
  WIFI.getUpTime();
  
  // Diplays adhoc settings.
  USB.println("\n----------------------");
  USB.println("Adhoc Settings:");
  USB.println("----------------------");
  WIFI.getAdhocSettings();
  
  // Displays broadcast settings.
  USB.println("\n----------------------");
  USB.println("Broadcast Settings:");
  USB.println("----------------------");
  WIFI.getBroadcastSettings();
  
  // Displays communications settings.
  USB.println("\n----------------------");
  USB.println("Communication Settings:");
  USB.println("----------------------");
  WIFI.getComSettings();
  
  // Displays DNS settings.
  USB.println("\n----------------------");
  USB.println("DNS Settings:");
  USB.println("----------------------");
  WIFI.getDNSsettings();
  
  // Displays FTP settings.
  USB.println("\n----------------------");
  USB.println("FTP Settings:");
  USB.println("----------------------");
  WIFI.getFTPsettings();
  
  // Displays IP settings.
  USB.println("\n----------------------");
  USB.println("IP Settings:");
  USB.println("----------------------");
  WIFI.getIP();
  
  // Displays the MAC address.
  USB.println("\n----------------------");
  USB.println("MAC Settings:");
  USB.println("----------------------");
  WIFI.getMAC();
  
  // Displays option settings.
  USB.println("\n----------------------");
  USB.println("Option Settings:");
  USB.println("----------------------");
  WIFI.getOptionSettings();
  
  // Displays system settings.
  USB.println("\n----------------------");
  USB.println("System Settings:");
  USB.println("----------------------");
  WIFI.getSystemSettings();


  USB.println("\n*******************************************");
  delay(10000);
}
