/*
 *  ------wasp_start_program_full_XSC_v2------
 *
 *  Explanation:  
 *
 *  Waspmote starting program for XBee XSC module. This program
 *  initializes the XBee module, prepares the frame to send and every
 *  second it sends it.   
 *
 *
 *  Copyright (C) 2012 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.2
 *  Design:                 David Gascón
 *  Implementation:         Marcos Yarza, Alberto Bielsa, Yuri Carmona
 */


packetXBee* paq_sent; 
int8_t state=0; 
long previous=0; 
char aux[200];
char* macHigh="          ";
char* macLow="           ";
int aux_1 = 0;
int aux_2 = 0;

uint8_t direccion[8]={0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF};

uint8_t mac[55];
int i = 0;

void setup(){
  RTC.ON();
  
  ACC.ON();
  
  XBee.setMode(XBEE_ON);
  XBee.begin(9600);
  delay(1500);
  XBee.print("+++");
  delay(2000);
  XBee.println("ATBD5,WR,CN");
  delay(150);
  XBee.flush();
  XBee.setMode(XBEE_OFF);
  XBee.close();
    
  Utils.setLED(LED0, LED_ON);
  Utils.setLED(LED1, LED_ON);
  delay(5000);
  Utils.setLED(LED0, LED_OFF);
  Utils.setLED(LED1, LED_OFF);
  for (int i=0;i<24;i++){
    Utils.blinkLEDs(125);
  }
  
  // Inits the XBee 802.15.4 library 
  xbeeXSC.init(XBEE_802_15_4,FREQ2_4G,NORMAL); 
 
  // Powers XBee 
  xbeeXSC.ON();
  
  // Get the XBee MAC address

  delay(500);
  
  int counter = 0;  
//  while(xbee.getOwnMac()==1&&counter<4){
//    xbee.getOwnMac();
//    counter++;
//  }
  
  delay(1500);
  XBee.print("+++");
  delay(1500);
  while(XBee.available()<0);
  for (int i = 0;i<4;i++){
    mac[i]=XBee.read();
  }
  delay(100);
  XBee.println("ATSH");
  delay(100);
  i = 0;
  while(XBee.available()<0);
  for (int i = 4;i<10;i++){
    mac[i]=XBee.read();
  }
  
  delay(500);
 i=20;
  XBee.println("ATSL");
  delay(100);
while(XBee.available()<0);
  for (int i = 10;i<16;i++){
    mac[i]=XBee.read();
  }
  
  XBee.println("ATCN");
  
  delay(500);
  
 
 
}

void loop(){

  sprintf(aux,"-mac:%c%c%c%c%c%c%c%c -x:%d,y:%d,z:%d -temp:%d -bat: %d%c%c%c",mac[4],mac[5],mac[6],mac[7],mac[10],mac[11],mac[12],mac[13],ACC.getX(),ACC.getY(),ACC.getZ(),(int)RTC.getTemperature(),PWR.getBatteryLevel(),'%','\r','\n');
  
  XBee.println(aux);
  delay(1000);
}
