/*
 *  ------Waspmote XBee XSC Getting RSSI Example------
 *
 *  Explanation: This example shows how to get RSSI after receiving a packet
 *
 *  Note: XBee modules must be configured at 38400bps and with API enabled.
 *
 *  Copyright (C) 2009 Libelium Comunicaciones Distribuidas S.L.
 *  http://www.libelium.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Version:                0.1
 *  Design:                 David Gascón
 *  Implementation:    Alberto Bielsa
 */
 
long previous=0;
uint8_t state=0;

void setup()
{
  // Inits the XBee XSC library
  xbeeXSC.init(XBEE_XSC,FREQ2_4G,NORMAL);
  
  // Powers XBee
  xbeeXSC.ON();
}


packetXSC* packet;

void loop()
{
  // Waiting message
  previous=millis();
  while( (millis()-previous) < 20000 )
  {
    if( XBee.available() )
    {
      packet=(packetXSC*) calloc(1,sizeof(packetXSC)); 
      state=xbeeXSC.readData(packet);
      if(state==0)
      {
        // Getting RSSI from the received packet
       xbeeXSC.setCommandMode();
       xbeeXSC.getRSSI();
       xbeeXSC.exitCommandMode();
       XBee.setMode(XBEE_OFF);
       XBee.begin();
       XBee.print("RSSI: ");
       XBee.println(xbeeXSC.valueRSSI,HEX);
       XBee.close();
       xbeeXSC.ON();
      } 
    }
  }
}


